/* Copyright (C) Heikki Orsila 2003
   email: heikki@ee.tut.fi
   LICENSE: LGPL and GPL
*/

#ifndef PLAYLIST_H
#define PLAYLIST_H

#include "chrarray.h"

struct playlist {
  int valid;
  int lower_bound;
  int upper_bound;
  int randomize;
  int repeat;
  struct chrarray list;
};

int playlist_init(struct playlist *pl);
void playlist_randomize(struct playlist *pl);
void playlist_repeat(struct playlist *pl);
int playlist_empty(struct playlist *pl);
int playlist_add(struct playlist *pl, char *name);
int playlist_get_next(char *name, int maxlen, struct playlist *pl);

#endif
